@echo off
echo .
echo This batch file is a sample of how you can create user network
echo accounts and establish their default files and trustees.
echo The method of using a batch file allows a consistent process to the 
echo creation of accounts and allows account creation to be less error prone.
echo .
goto end

@echo off
echo  .
echo  Purpose:  Setup the User's  object with the appropiate values.
echo  .
echo  Parameter: 1   Short network name          dcollins
echo  Parameter: 2   Default group               is
echo  Parameter: 3   Default container           mercury.hq.dart
echo  Parameter: 4   Default server              mercury.resources.hq.dart
echo  Parameter: 5   Default server (short)      mercury
echo  .
echo  Note:  if the sample does not have a leading period (.) then don't
echo  use one.  (use exactly the same syntax.)
echo  .

if [%1] == [] goto end
if [%2] == [] goto error
if [%3] == [] goto error
if [%4] == [] goto error
if [%5] == [] goto error
echo  .  Press anykey to start the 'add' or else CTRL-C
pause
@echo on

Rem  Map the network letters I: and J: to the server that will be user's
Rem  default file server.  (home server)

map i:=%5/sys:
map j:=%5/vol1:
if not exist i:\public\*.* goto error


Rem  Execute the utility to create the user account.

I:
CD\
n4objmgr add USER %1.%3 %1
if errorlevel 1 pause


Rem  Set the default server

n4attr %1.%3 "Message Server" O %4 /O=H:\ADD-ME.LOG
if errorlevel 1 pause


Rem  Set the password restrictions

n4attr %1.%3 "Login Disabled" O F /O=H:\ADD-ME.LOG
if errorlevel 1 pause
n4attr %1.%3 "Login Grace Limit" O 6 /O=H:\ADD-ME.LOG
if errorlevel 1 pause
n4attr %1.%3 "Login Grace Remaining" O 6 /O=H:\ADD-ME.LOG
if errorlevel 1 pause
n4attr %1.%3 "Login Maximum Simultaneous" O 1 /O=H:\ADD-ME.LOG
if errorlevel 1 pause

n4attr %1.%3 "Password Allow Change" O T /O=H:\ADD-ME.LOG
if errorlevel 1 pause
n4attr %1.%3 "Password Expiration Interval" O 7776000 /O=H:\ADD-ME.LOG
if errorlevel 1 pause
n4attr %1.%3 "Password Minimum Length" O 5 /O=H:\ADD-ME.LOG
if errorlevel 1 pause
n4attr %1.%3 "Password Required" O True /O=H:\ADD-ME.LOG
if errorlevel 1 pause
n4attr %1.%3 "Password Unique Required" O T /O=H:\ADD-ME.LOG
if errorlevel 1 pause
n4attr %1.%3 "Password Expiration Time" O "01-01-1996 01:01:01" /O=H:\ADD-ME.LOG
if errorlevel 1 pause


Rem  Add user to their favorite groups  (everyone and their workgroup)

n4attr + %1.%3 EVERYONE.DART /O=H:\ADD-ME.LOG
if errorlevel 1 pause
n4attr + %1.%3 %2.%3 /O=H:\ADD-ME.LOG
if errorlevel 1 pause


Rem  Set up the user's L: (personal) drive subdirectory

I:
cd\
md I:\usr\%1
rights I:\usr\%1 r w c e m f /name=.%1.%3


Rem  Copy up the user Office-Logic Email menu and cfg files

J:
cd\
cd\grp\%2\rhm
md\grp\%2\rhm\%1
copy \grp\%2\rhm\%2\logic.* %1
cd\

h:
cd\


rem  To 'authenticate' to Venus for Office Logic.
map k:=venus/sys:

@echo off
echo .
echo Remaining steps to do:
echo   Rconsole to IO, 
echo      LOAD NGMAdmin, 
echo      Add the user to the correct Passive server.
echo   Add the user to Logic Email and main Group. 
echo .

goto end


rem ===== ===== ===== ===== ===== ===== ===== ===== ===== ===== ===== 
:error
@echo off
echo  Error occurred!


rem ===== ===== ===== ===== ===== ===== ===== ===== ===== ===== ===== 
:end
